### Method

# GtkSource View get_smart_home_end

#### Declaration [src]

    GtkSourceSmartHomeEndType
    gtk_source_view_get_smart_home_end (
      GtkSourceView* view
    )

#### Description [src]

Returns a `GtkSourceSmartHomeEndType` end value specifying how the cursor will move when HOME and END keys are pressed.

Gets property | `GtkSource.View:smart-home-end`

#### Return value

Type: `GtkSourceSmartHomeEndType`

A `GtkSourceSmartHomeEndType` value.